Package: org.codehaus.groovy.reflection

## [Java] Class MixinInMetaClass

- org.codehaus.groovy.reflection.MixinInMetaClass

-     public class MixinInMetaClass
      extends ManagedConcurrentMap

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ManagedConcurrentMap` | `bundle`
    `class AbstractConcurrentMapBase` | `MAXIMUM_CAPACITY, segments`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MixinInMetaClass (ExpandoMetaClass emc, CachedClass mixinClass)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `equals(Object o)`
    `` | `public CachedClass` | `getDeclaringClass()`
    `` | `public CachedClass` | `getInstanceClass()`
    `` | `public CachedClass` | `getMixinClass()`
    `` | `public Object` | `getMixinInstance(Object object)`
    `` | `public int` | `hashCode()`
    `` | `public static void` | `mixinClassesToMetaClass(MetaClass self, List<Class> categoryClasses)`
    `` | `public void` | `setMixinInstance(Object object, Object mixinInstance)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ManagedConcurrentMap` | `createSegment`
    `class AbstractConcurrentMap` | `get, getOrPut, put, remove, segmentFor`
    `class AbstractConcurrentMapBase` | `createSegment, fullSize, hash, segmentFor, size, values`

- - ### Constructor Detail

    - #### public MixinInMetaClass(ExpandoMetaClass emc, CachedClass mixinClass)

  - ### Method Detail

    - #### public boolean equals(Object o)

    - #### public CachedClass getDeclaringClass()

    - #### public CachedClass getInstanceClass()

    - #### public CachedClass getMixinClass()

    - #### public Object getMixinInstance(Object object)

    - #### public int hashCode()

    - #### public static void mixinClassesToMetaClass(MetaClass self, List<Class> categoryClasses)

    - #### public void setMixinInstance(Object object, Object mixinInstance)